## linux-ubuntu-modules-2.6.24 2.6.24-22.35netbook26

=== ubuntu/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_ACER_ACPI)		+= acpi/acer_acpi/
obj-$(CONFIG_INPUT_FSC_BTNS)	+= misc/fsc_btns.o
obj-$(CONFIG_ALSA)      	+= sound/
obj-$(CONFIG_BLK_DEV_DRBD)      += block/drbd/
obj-$(CONFIG_BLK_ISCSITARGET)	+= block/iscsitarget/
obj-$(CONFIG_AMT_HECI)		+= misc/heci/
obj-$(CONFIG_BLK_DEV_GNBD)	+= misc/gnbd.o
obj-$(CONFIG_BLK_DEV_DM_BBR)	+= misc/dm-bbr.o
obj-$(CONFIG_SND_BTSCO)		+= snd-bt-sco.o
obj-$(CONFIG_INPUT_ACERHK)	+= misc/acerhk.o
obj-$(CONFIG_AVERATEC_5100P)	+= misc/av5100.o
obj-$(CONFIG_PACKARDBELL_E5)	+= misc/pbe5.o
obj-$(CONFIG_LMPCM_USB)		+= misc/lmpcm_usb.o
obj-$(CONFIG_NOZOMI)		+= misc/nozomi.o

obj-$(CONFIG_NDISWRAPPER)	+= misc/ndiswrapper/
obj-$(CONFIG_MOL)		+= misc/mol/

snd-bt-sco-objs			:= misc/btsco.o
#
# The btsco driver should ultimately be incorportated into the ALSA tree
# or deprecated. At the moment, we need to force the following build options to 
# make sure that struct snd_pcm_str in pcm.h is in sync with the ALSA build configs.
#
CFLAGS_btsco.o += -I$(src)/sound/alsa-driver/include -DCONFIG_SND_VERBOSE_PROCFS -DCONFIG_SND_PCM_OSS_MODULE

CFLAGS_dm-bbr.o			+= -I$(srctree)/drivers/md

ifneq ($(UBUNTU_FLAVOUR),openvz)
obj-$(CONFIG_AUFS)		+= fs/aufs/
endif

obj-$(CONFIG_ASFS_FS)		+= fs/asfs/
ifneq ($(UBUNTU_FLAVOUR),rt)
obj-$(CONFIG_GFS_FS)		+= fs/gfs/
endif
obj-$(CONFIG_SQUASHFS)		+= fs/squashfs/
obj-$(CONFIG_UNION_FS)		+= fs/unionfs/

obj-$(CONFIG_USB_APPLEIR)	+= mactel/appleir.o

obj-m				+= media/

obj-$(CONFIG_NET_ATL2)		+= net/atl2/
obj-$(CONFIG_NET_ATL1E)		+= net/atl1e/

obj-$(CONFIG_NET_ACX)		+= wireless/acx/
obj-$(CONFIG_IWLWIFI)		+= wireless/iwlwifi/
obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/
obj-$(CONFIG_WIMAX_I2400M)	+= wireless/wimax-i2400m/
obj-$(CONFIG_HSO)		+= wireless/hso/
obj-$(CONFIG_RTL8185)		+= wireless/ieee80211-rtl/
obj-$(CONFIG_RTL8185)		+= wireless/rtl8185/
obj-$(CONFIG_USB_NET_HSO)	+= wireless/hso.o

ifneq ($(CONFIG_PRISM2_USB),)
obj-m				+= wireless/p80211/
endif

obj-$(CONFIG_IPW2100_FS_AMILO_M7400) += wireless/fsam7400.o

obj-$(CONFIG_MMC_SD8686)       += wireless/marvell/8686_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_bt/

obj-$(CONFIG_ET131X)		+= net/et131x/
obj-$(CONFIG_IGB)		+= net/igb/
obj-$(CONFIG_E1000E_ICH9M)	+= net/e1000e-ich9m/

obj-$(CONFIG_TP_SMAPI)		+= misc/tp_smapi.o
obj-$(CONFIG_TP_SMAPI_EC)	+= misc/thinkpad_ec.o
obj-$(CONFIG_TP_SMAPI_HDAPS)	+= hwmon/hdaps_ec.o

obj-$(CONFIG_DMRAID45)		+= md/

obj-$(CONFIG_AGP_INTEL_ICH9M)	+= char/intel-agp-ich9m/

obj-$(CONFIG_HP_MINI)		+= misc/hpmini.o
obj-$(CONFIG_RTL_8187_USB)	+= wireless/rtl8187-usb/

=== ubuntu/media/drm-poulsbo/Makefile ===
obj-m += drm_psb.o
obj-m += psb.o

drm_psb-objs := drm_auth.o drm_bufs.o drm_context.o drm_dma.o drm_drawable.o \
		drm_drv.o drm_fops.o drm_ioctl.o drm_irq.o \
		drm_lock.o drm_memory.o drm_proc.o drm_stub.o drm_vm.o \
		drm_sysfs.o drm_pci.o drm_agpsupport.o drm_scatter.o \
		drm_memory_debug.o ati_pcigart.o drm_sman.o \
		drm_hashtab.o drm_mm.o drm_object.o drm_compat.o \
		drm_fence.o drm_ttm.o drm_bo.o drm_bo_move.o drm_bo_lock.o \
		drm_crtc.o drm_edid.o drm_modes.o drm_regman.o drm_vm_nopage_compat.o

psb-objs := psb_drv.o psb_mmu.o psb_sgx.o psb_irq.o psb_fence.o psb_buffer.o \
		psb_gtt.o psb_setup.o psb_i2c.o psb_fb.o psb_msvdx.o \
		psb_msvdxinit.o psb_regman.o psb_reset.o psb_scene.o \
		psb_schedule.o psb_xhw.o

=== ubuntu/media/sms1xxx/Makefile ===
include $(src)/../../.config

sms1xxx-objs := smscoreapi.o sms-cards.o smschar.o smsnet.o

obj-$(CONFIG_DVB_SIANO_SMS1XXX) += sms1xxx.o
obj-$(CONFIG_DVB_SIANO_SMS1XXX) += smsusb.o
obj-$(CONFIG_DVB_SIANO_SMS1XXX) += smsdvb.o

EXTRA_CFLAGS += -Idrivers/media/dvb/dvb-core

EXTRA_CFLAGS += $(extra-cflags-y) $(extra-cflags-m)

=== ubuntu/net/atl1e/Makefile ===
CFILES = at_common_main.c \
	 atl1c_hw.c atl1c_main.c atl1c_param.c \
	 atl1e_hw.c atl1e_main.c atl1e_param.c \
	 kcompat.c 

HFILES = at_common.h atl1c.h atl1c_hw.h atl1e.h \
	 atl1e_hw.h at_osdep.h kcompat.h 

obj-m += atl1e.o
atl1e-objs := $(CFILES:.c=.o)

=== ubuntu/wireless/rtl8187-usb/Makefile ===

obj-y	+= ieee80211/
obj-y	+= rtl8187/

=== ubuntu/wireless/wimax-i2400m/Makefile ===

# @lket@ignore-file
#
# We are NOT in the LK source, we are a separate module

KDIR ?= /lib/modules/$(shell uname -r)/build

EXTRA_CFLAGS += -g -I$(src)/include
EXTRA_LDFLAGS += -g-


obj-m := drivers/net/


.PHONY: all clean warning TAGS
all:
	$(MAKE) -C $(KDIR) M=$(shell pwd)
clean:
	rm -rf cscope* ncscope* Module*.symvers .tmp_* TAGS 	\
		include/config.h 				\
		drivers/net/wimax/version.h 			\
		drivers/net/wimax/bugs.h			\
		$(src)/.tmp.config.mk
	find -name \*.rej -o -name \*~ -o -name \*.orig -o -name \*.o \
		-o -name core -o -name .depend -o -name \*.o -o -name \*.cmd \
		-o -name \*.ko -o -name \*.mod.c \
	    | xargs rm -f
	find -iname \*.[chS] > cscope.files

TAGS:
	find -name \*.[chS] | etags -

CSCOPE cscope:
	find -iname \*.[chS] > cscope.files


src ?= $(shell pwd)
.PHONY: $(src)/.tmp.config.mk
-include $(src)/.tmp.config.mk
$(src)/.tmp.config.mk:: $(src)/lket-ct-config
	@$(src)/lket-ct-config $(src) $(TOPDIR)

.PHONY: config install
config:
	$(src)/lket-ct-config $(src) $(KDIR)
install:
	make -C $(KDIR) M=$(shell pwd) INSTALL_MOD_PATH=$(DESTDIR) modules_install


update-version:
	@ESRC=$(src) $(src)/.lket/ct-10-generate-version.sh print > $(src)/.base_version.new
	@mv $(src)/.base_version.new $(src)/.base_version
	@echo "I: Base version is $$(cat $(src)/.base_version) [$(src)/.base_version]"

=== ubuntu/wireless/rtl8187-usb/ieee80211/Makefile ===
EXTRA_CFLAGS += -I$(TOPDIR)/drivers/net/wireless
EXTRA_CFLAGS += -O2 
EXTRA_CFLAGS += -DJACKSON_NEW_8187 -DJACKSON_NEW_RX
#CFLAGS += -DJOHN_HWSEC -DJOHN_TKIP -DJOHN_CCMP
EXTRA_CFLAGS += -DTHOMAS_TURBO
EXTRA_CFLAGS += -DPOLLING_METHOD_FOR_RADIO
#CFLAGS += -DJOHN_DUMP
#EXTRA_CFLAGS += -DJUST_FOR_87SEMESH -D_RTL8187_EXT_PATCH_
#EXTRA_CFLAGS += -D_RTL8187_EXT_PATCH_
CC = gcc

ifneq ($(shell uname -r|cut -d. -f1,2), 2.4)

ieee80211-rtl-objs := ieee80211_softmac.o \
                      ieee80211_rx.o \
		      ieee80211_tx.o \
		      ieee80211_wx.o \
		      ieee80211_module.o \
		      ieee80211_softmac_wx.o

ieee80211_crypt-rtl-objs := ieee80211_crypt.o
ieee80211_crypt_tkip-rtl-objs := ieee80211_crypt_tkip.o
ieee80211_crypt_ccmp-rtl-objs := ieee80211_crypt_ccmp.o
ieee80211_crypt_wep-rtl-objs := ieee80211_crypt_wep.o

obj-m +=ieee80211-rtl.o
obj-m +=ieee80211_crypt-rtl.o
obj-m +=ieee80211_crypt_wep-rtl.o
obj-m +=ieee80211_crypt_tkip-rtl.o
obj-m +=ieee80211_crypt_ccmp-rtl.o

KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
INSTALL_PREFIX :=

all: modules

#clean:
#	rm -f *.mod.c *.mod *.o .*.cmd *.ko 
#	rm -rf $(PWD)/tmp

modules:
#	$(MAKE) -C $(KSRC) SUBDIRS=$(PWD) MODVERDIR=$(PWD) modules

	$(MAKE) -C $(KSRC) M=$(PWD) CC=$(CC) modules

else

#WARN := -W -Wall -Wstrict-prototypes -Wmissing-prototypes
WARN := -W
INCLUDE := -isystem /lib/modules/`uname -r`/build/include
CFLAGS := -O2 -DMODULE -D__KERNEL__ -DEXPORT_SYMTAB -D__NO_VERSION__ ${WARN} ${INCLUDE}
ifdef CONFIG_SMP
CFLAGS += -D__SMP__ -DSMP
endif

OBJS := ${patsubst %.c, %.o, ${wildcard *.c}}

all:${OBJS} ieee80211_crypt-rtl.o michael_mic-rtl.o aes-rtl.o ieee80211_crypt_wep-rtl.o ieee80211_crypt_tkip-rtl.o ieee80211_crypt_ccmp-rtl.o crypto-rtl.o ieee80211-rtl.o

ieee80211_crypt-rtl.o: ieee80211_crypt.o
	mv $^ $@	

michael_mic-rtl.o: michael_mic.o
	mv $^ $@

aes-rtl.o: aes.o
	mv $^ $@

ieee80211_crypt_wep-rtl.o: ieee80211_crypt_wep.o
	mv $^ $@

ieee80211_crypt_tkip-rtl.o: ieee80211_crypt_tkip.o
	mv $^ $@

ieee80211_crypt_ccmp-rtl.o: ieee80211_crypt_ccmp.o
	mv $^ $@

crypto-rtl.o: arc4.o api.o autoload.o cipher.o compress.o digest.o scatterwalk.o proc.o
	$(LD) -r $^ -o $@

ieee80211-rtl.o: ieee80211_rx.o ieee80211_tx.o ieee80211_wx.o ieee80211_module.o ieee80211_softmac_wx.o ieee80211_softmac.o
	$(LD) -r $^ -o $@
endif

.PHONY: clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.mod.* *.ko *.o *~
#	rm -rf $(PWD)/tmp

=== ubuntu/wireless/rtl8187-usb/rtl8187/Makefile ===
#EXTRA_CFLAGS += -DCONFIG_IEEE80211_NOWEP=y
#EXTRA_CFLAGS += -DCONFIG_RTL8180_IOMAP
EXTRA_CFLAGS += -I$(TOPDIR)/drivers/net/wireless
EXTRA_CFLAGS += -std=gnu89
EXTRA_CFLAGS += -O2
EXTRA_CFLAGS += -mhard-float -DCONFIG_FORCE_HARD_FLOAT=y 
#EXTRA_CFLAGS += -DJUST_FOR_87SEMESH -D_RTL8187_EXT_PATCH_
EXTRA_CFLAGS += -DCONFIG_RTL8180_PM
EXTRA_CFLAGS += -DJACKSON_NEW_8187 -DJACKSON_NEW_RX
EXTRA_CFLAGS += -DTHOMAS_BEACON -DTHOMAS_TASKLET -DTHOMAS_SKB -DTHOMAS_TURBO
EXTRA_CFLAGS += -DJOHN_IOCTL
EXTRA_CFLAGS += -DLED
EXTRA_CFLAGS += -DPOLLING_METHOD_FOR_RADIO
#CFLAGS += -DJOHN_HWSEC -DJOHN_TKIP
#CFLAGS += -DJOHN_DUMP_TX
#ieee80211_crypt-r8180 := ieee80211_crypt-r8180.o

CC = gcc

ifneq ($(shell uname -r|cut -d. -f1,2), 2.4)

r8187-objs := r8187_core.o r8180_93cx6.o r8180_wx.o r8180_rtl8225.o r8180_rtl8225z2.o r8180_pm.o r8180_dm.o r8187_led.o

#ieee80211_crpt_wep-r8180-objs := ieee80211_crypt_wep-r8180.o

obj-m := r8187.o

KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
INSTALL_PREFIX :=
all: modules

modules:
	$(MAKE) -C $(KSRC) M=$(PWD) CC=$(CC) modules

MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless
#MOD_ALGDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/alg
install: modules
	mkdir -p $(MODDESTDIR)
#	mkdir -p $(MOD_ALGDESTDIR)
	install -p -m 644 r8187.ko  $(MODDESTDIR)
#	install -p -m 644 ieee80211_crypt_wep-r8180.ko $(MOD_ALGDESTDIR)
else
#WARN := -W -Wall -Wstrict-prototypes -Wmissing-prototypes
WARN := -W
INCLUDE := -isystem /lib/modules/`uname -r`/build/include
CFLAGS := -O2 -DMODULE -D__KERNEL__ ${WARN} ${INCLUDE}
ifdef CONFIG_SMP
CFLAGS += -D__SMP__ -DSMP
endif
OBJS := ${patsubst %.c, %.o, ${wildcard *.c}}
                                                                                
all:r8187.o
                                                                                
r8187.o:${OBJS}
	$(LD) -r $^ -o $@
endif

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~

=== ubuntu/sound/alsa-kernel/pci/hda/Makefile ===
snd-hda-intel-y := hda_intel.o
# since snd-hda-intel is the only driver using hda-codec,
# merge it into a single module although it was originally
# designed to be individual modules
snd-hda-intel-y += hda_codec.o vmaster.o
snd-hda-intel-$(CONFIG_PROC_FS) += hda_proc.o
snd-hda-intel-$(CONFIG_SND_HDA_HWDEP) += hda_hwdep.o
snd-hda-intel-$(CONFIG_SND_HDA_GENERIC) += hda_generic.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_REALTEK) += patch_realtek.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_CMEDIA) += patch_cmedia.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_ANALOG) += patch_analog.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_SIGMATEL) += patch_sigmatel.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_SI3054) += patch_si3054.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_ATIHDMI) += patch_atihdmi.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_CONEXANT) += patch_conexant.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_VIA) += patch_via.o
snd-hda-intel-$(CONFIG_SND_HDA_CODEC_INTELHDMI) += patch_intelhdmi.o hda_eld.o

obj-$(CONFIG_SND_HDA_INTEL) += snd-hda-intel.o

=== ubuntu/wireless/wimax-i2400m/drivers/net/wimax/Makefile ===
# @lket@ignore-start
EXTRA_CFLAGS += -g -I$(src)/../../../include
EXTRA_LDFLAGS += -g
include $(src)/../../../.tmp.config.mk
# @lket@ignore-end

ifdef CONFIG_WIMAX_DEBUG
EXTRA_CFLAGS += -DD_MASTER_CONFIG=10
else
EXTRA_CFLAGS += -DD_MASTER_CONFIG=0
endif

obj-$(CONFIG_WIMAX_I2400M)	+= i2400m/
obj-$(CONFIG_WIMAX)		+= wimax.o

wimax-objs :=		\
	id-table.o	\
	op-close.o	\
	op-msg.o	\
	op-open.o	\
	op-rfkill.o	\
	stack.o		\
	sysfs.o

=== ubuntu/wireless/wimax-i2400m/drivers/net/wimax/i2400m/Makefile ===
# @lket@ignore-start -- We are NOT in the LK source

# Uncomment to use old FW upload method
#I2400M_FW=-1.1
ifdef I2400M_FW
EXTRA_CFLAGS += -DI2400M_FW
endif

EXTRA_CFLAGS += -g -I$(src)/../../../../include
EXTRA_LDFLAGS += -g
include $(src)/../../../../.tmp.config.mk
# @lket@ignore-end

ifdef CONFIG_WIMAX_DEBUG
EXTRA_CFLAGS += -DD_MASTER_CONFIG=10
else
EXTRA_CFLAGS += -DD_MASTER_CONFIG=0
endif

obj-$(CONFIG_WIMAX_I2400M) += i2400m.o
obj-$(CONFIG_WIMAX_I2400M_USB) += i2400m-usb.o

i2400m-objs :=		\
	control.o	\
	driver.o	\
	fw$(I2400M_FW).o\
	op-rfkill.o	\
	sysfs.o		\
	netdev.o	\
	tx.o		\
	rx.o

# Uncoment next line to use the old fw (v1.1) upload style

i2400m-usb-objs :=		\
	usb-fw$(I2400M_FW).o	\
	usb-notif.o		\
	usb-tx.o		\
	usb-rx.o		\
	usb.o			\

i2400m-usb-objs +=	usb-compat.o		# @lket@ignore-line

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook26) netbook-common; urgency=low

  [Michael Frey]

  * Added new DVB TV Tuner firmware

 -- Michael Frey <michael.frey@canonical.com>  Thu, 26 Mar 2009 13:18:31 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook25) netbook-common; urgency=low

  [Andres Salomon]

  * Buffalo audio fix; disable speaker output when headphones are plugged in.

 -- Andres Salomon <dilinger@canonical.com>  Mon, 23 Mar 2009 17:20:05 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook24) netbook-common; urgency=low

  [Andres Salomon]

  * Add support for Buffalo's audio.

 -- Andres Salomon <dilinger@canonical.com>  Fri, 20 Mar 2009 17:53:17 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook23) netbook-common; urgency=low

  [Michael Frey]

  * New Poulsbo DRM driver (HDMI hotplug support)
  * Version 2.3.2.32L.0038

 -- Michael Frey <michael.frey@canonical.com>  Fri, 20 Mar 2009 10:44:53 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook22) netbook-common; urgency=low

  [Andres Salomon]

  * Fix for audio issues for ALC272 Intel HDA codecs (LP: #341330).

 -- Andres Salomon <dilinger@canonical.com>  Wed, 18 Mar 2009 17:30:09 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook21) netbook-common; urgency=low

  [Colin King]

  * Add support for Atheros AR8121/AR8113/AR8114/AR8131/AR8132 ethernet

 -- Tony Espy <espy@canonical.com>  Mon, 16 Mar 2009 16:49:46 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook20) netbook-common; urgency=low

  [Michael Frey]

  * Added functions to save / restore realtek codec pins on suspend / resume
  * Fix for (LP# 250627)

 -- Michael Frey <michael.frey@canonical.com>  Tue, 10 Mar 2009 10:12:22 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook19) netbook-common; urgency=low

  [Michael Frey]
 
  * Re-sync with Michael Krufky git tree to fix build issue.

 -- Michael Frey <michael.frey@canonical.com>  Fri, 06 Mar 2009 15:59:25 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook18) netbook-common; urgency=low

  [Michael Krufky]

  * sms1xxx: move definition of struct smsdvb_client_t into smsdvb.c
  * sms1xxx: move smsusb_id_table into smsusb.c
  * sms1xxx: fix checkpatch.pl violations introduced by previous changeset
  * sms1xxx: load smsdvb module automatically based on device id
  * siano: convert EXPORT_SYMBOL to EXPORT_SYMBOL_GPL
  * siano: prevent duplicate variable declaration
  * sms-cards: add some more debug
  * smsusb: add autodetection for devices based on the SMS1180 chipset
  * sms1xxx: ensure that smsdvb is loaded for DVB-T devices

  [Uri Shkolnik]

  * sms1xxx: add USB suspend and hibernation support
  * sms1xxx: restore smsusb_driver.name to smsusb
  * sms1xxx: import changes from Siano
  * smsusb: whitespace cleanups
  * smscore: whitespace cleanups
  * smsdvb: whitespace cleanups
  * sms1xxx: update GPIO functionality to support all devices
  * sms1xxx: add smsnet and smschar modules (siano sub-system)

 -- Michael Frey <michael.frey@canonical.com>  Fri, 06 Mar 2009 12:59:53 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook17) netbook-common; urgency=low

  [Michael Frey]

  * Add Bear audio support via ALC272 codec

 -- Michael Frey <michael.frey@canonical.com>  Fri, 27 Feb 2009 14:38:27 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook16) netbook-common; urgency=low

  [Debbie Beliveau]

  * Modifications to HDMI audio out support on Intel Menlow hardware (included
    with 0033 PSB drm drop)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 18 Feb 2009 12:05:09 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook15) netbook-common; urgency=low

  [Upstream Kernel Changes]

  * New PSB drm version from Intel (0033)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 17 Feb 2009 14:54:56 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook14) netbook-common; urgency=low

  [Upstream Kernel Changes]

  * New PSB drm version from Intel (0032)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 11 Feb 2009 16:17:08 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook13) hardy; urgency=low

  [Upstream Kernel Changes]

  * New PSB drm version from Intel (0204)

 -- Michael Frey <michael.frey@canonical.com>  Fri, 06 Feb 2009 10:36:39 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook12) hardy; urgency=low

  [Upstream Kernel Changes]

  * New upstream PSB DRM driver from Intel. PV_2_3_0031

 -- Michael Frey <michael.frey@canonical.com>  Tue, 03 Feb 2009 10:36:29 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook11) hardy; urgency=low

  [Steve Magoun]

  * patch_realtek.c:
    - Backport fixes from realtek v5.05 drop to fix problem with 
      headphone + internal speaker not muting properly if headphone
      is plugged in at boot (LP: #250627, #241228)
    - Clean up some CW020-specific code to use generic ALC269 code
    - Disable CW020 quirk for now, it seems to be unnecessary

 -- Michael Frey <michael.frey@canonical.com>  Mon, 26 Jan 2009 11:57:36 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook10) hardy; urgency=low

  [Michael Krufky]

  * sms1xxx driver is missing the USB ID 2040:2011 for Dell Digital TV
    Receiver (LP: #320542)

 -- Michael Frey <michael.frey@canonical.com>  Fri, 23 Jan 2009 13:27:58 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook9) hardy; urgency=low

  [Upstream Kernel Changes]

  * drm-poulsbo.  New upstream release. add de-tearing support.

 -- Michael Frey <michael.frey@canonical.com>  Thu, 22 Jan 2009 13:17:59 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook8) hardy; urgency=low

  [Michael Frey]

  * Add support for HDMI audio out on Intel Menlow hardware (LP: #308476)

 -- Michael Frey <michael.frey@canonical.com>  Tue, 20 Jan 2009 14:48:51 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook7) hardy; urgency=low

  [Michael Frey]

  * Turn off some debug messages in the PSB DRM module



=== debian/control ===
Source: linux-ubuntu-modules-2.6.24
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: automake, autoconf, debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-22-386 [i386], linux-headers-2.6.24-22-generic [i386 amd64], linux-headers-2.6.24-22-hppa32 [hppa], linux-headers-2.6.24-22-hppa64 [hppa], linux-headers-2.6.24-22-itanium [ia64], linux-headers-2.6.24-22-lpia [lpia], linux-headers-2.6.24-22-mckinley [ia64], linux-headers-2.6.24-22-openvz [i386 amd64], linux-headers-2.6.24-22-powerpc [powerpc], linux-headers-2.6.24-22-powerpc-smp [powerpc], linux-headers-2.6.24-22-powerpc64-smp [powerpc], linux-headers-2.6.24-22-rt [i386 amd64], linux-headers-2.6.24-22-server [i386 amd64], linux-headers-2.6.24-22-sparc64 [sparc], linux-headers-2.6.24-22-sparc64-smp [sparc], linux-headers-2.6.24-22-virtual [i386], linux-headers-2.6.24-22-xen [i386 amd64]

Package: linux-ubuntu-modules-2.6.24-22-386
Architecture: i386
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-22-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-386
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-22-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-generic
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: rhcs-modules2-1
Depends: linux-image-2.6.24-22-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-hppa32
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-22-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-hppa64
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-22-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-itanium
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-22-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-lpia
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-22-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-mckinley
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-22-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-openvz
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-22-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-powerpc
Architecture: powerpc
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-powerpc
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-powerpc64-smp
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-22-powerpc64-smp
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit PowerPC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit PowerPC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc64-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-22-powerpc64-smp
Architecture: powerpc
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-22-powerpc64-smp
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-22/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-22-powerpc-smp
